function ESS=error_sum_of_squares(input_pars)

    beta=input_pars(1);
    gamma=input_pars(2);
    N=763;
    
    pars=[beta,gamma,N];
    
    tspan=[0:13];	  % 14 days of data, including initial value
% here, we want output at t=0, 1, 2, ... , 12, 13 because these are the
% time values at which we have data points

    y0=[760;3];       % take initial conditions to be S(0)=760, I(0)=3 
    
    [t,y]=ode45(@sir_rhs,tspan,y0,[],pars);

    ESS=0;
    data=[3;6;25;73;222;294;258;237;191;125;69;27;11;4];
    % initial value plus 13 more values
    
    diff=data-y(:,2);  % calculate differences between data and predictions

    ESS=sum(diff.^2);  % square entries of diff and then sum
    % note: there are 14 terms in this sum, but one (the first) is zero
end

function f = sir_rhs(t,y,pars)
f=zeros(2,1);
f(1)=-pars(1)*y(1)*y(2)/pars(3);
f(2)=pars(1)*y(1)*y(2)/pars(3)-pars(2)*y(2);
end
