function sir_simulation

    beta=1.0;
    gamma=1.0/5.0;    % five day infectious period	
    N=1000.0;
    pars=[beta,gamma,N];
    
    tspan=[0,50];     % simulate for 50 days
    y0=[999;1];       % one initial infective
    
    [t,y]=ode45(@sir_rhs,tspan,y0,[],pars);
    
    plot(t,y(:,2));   % plot prevalence of infection (i.e. I(t)) over time

    hold on
    plot(t,y(:,1),'--');   % add susceptibles vs time to the plot
                           % as a dashed line
    hold off
    
end

function f = sir_rhs(t,y,pars)
   f=zeros(2,1);
   f(1)=-pars(1)*y(1)*y(2)/pars(3);
   f(2)=pars(1)*y(1)*y(2)/pars(3)-pars(2)*y(2);
end
